# Uses of Interface
org.xnio.Pooled

Packages that use Pooled
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.
org.xnio.conduits
The XNIO conduit SPI.
org.xnio.streams
Utility classes for creating streams which use XNIO channels.

## Uses of Pooled in org.xnio

Fields in org.xnio declared as Pooled
Modifier and Type
Field
Description
`static final Pooled<ByteBuffer>`
Buffers.`EMPTY_POOLED_BYTE_BUFFER`
The empty pooled byte buffer.
Methods in org.xnio that return Pooled
Modifier and Type
Method
Description
`Pooled<ByteBuffer>`
ByteBufferSlicePool.`allocate()`
Deprecated.
Allocate a resource from the pool.
`Pooled<T>`
Pool.`allocate()`
Deprecated.
Allocate a resource from the pool.
`static Pooled<ByteBuffer>`
Buffers.`emptyPooledByteBuffer()`
Create a "pooled" empty buffer.
`static Pooled<ByteBuffer>`
Buffers.`globalPooledWrapper(ByteBuffer buffer)`
Create a pooled wrapper around a buffer that was allocated via `ByteBufferPool`.
`static <B extends Buffer>
Pooled<B>`
Buffers.`pooledWrapper(B buffer)`
Create a pooled wrapper around a buffer.
Methods in org.xnio with parameters of type Pooled
Modifier and Type
Method
Description
`static <T extends WritableMessageChannel>
ChannelListener<T>`
ChannelListeners.`sendingChannelListener(Pooled<ByteBuffer> pooled, ChannelListener<? super T> delegate, ChannelExceptionHandler<? super T> exceptionHandler)`
A sending channel listener.
`static <T extends StreamSinkChannel>
ChannelListener<T>`
ChannelListeners.`writingChannelListener(Pooled<ByteBuffer> pooled, ChannelListener<? super T> delegate, ChannelExceptionHandler<? super T> exceptionHandler)`
A writing channel listener.

## Uses of Pooled in org.xnio.channels

Methods in org.xnio.channels with parameters of type Pooled
Modifier and Type
Method
Description
`void`
PushBackStreamChannel.`unget(Pooled<ByteBuffer> buffer)`
Re-queue the given pooled buffer into this channel.
Constructors in org.xnio.channels with parameters of type Pooled
Modifier
Constructor
Description
``
`FramedMessageChannel(ConnectedStreamChannel channel, Pooled<ByteBuffer> receiveBuffer, Pooled<ByteBuffer> transmitBuffer)`
Deprecated.
Construct a new instance.

## Uses of Pooled in org.xnio.conduits

Methods in org.xnio.conduits with parameters of type Pooled
Modifier and Type
Method
Description
`void`
PushBackStreamSourceConduit.`pushBack(Pooled<ByteBuffer> pooledBuffer)`
Push a buffer back to the head of the stream.
Constructors in org.xnio.conduits with parameters of type Pooled
Modifier
Constructor
Description
``
`BufferedStreamSinkConduit(StreamSinkConduit next, Pooled<ByteBuffer> pooledBuffer)`
Construct a new instance.
``
`BufferedStreamSourceConduit(StreamSourceConduit next, Pooled<ByteBuffer> pooledBuffer)`
Construct a new instance.
``
`FramingMessageSinkConduit(StreamSinkConduit next, boolean longLengths, Pooled<ByteBuffer> transmitBuffer)`
Construct a new instance.
``
`FramingMessageSourceConduit(StreamSourceConduit next, Pooled<ByteBuffer> receiveBuffer)`
Construct a new instance.

## Uses of Pooled in org.xnio.streams

Methods in org.xnio.streams that return Pooled
Modifier and Type
Method
Description
`Pooled<ByteBuffer>`
BufferPipeOutputStream.`breakPipe()`
Break the pipe and return any filling pooled buffer.
`Pooled<ByteBuffer>`
BufferPipeOutputStream.BufferWriter.`getBuffer(boolean firstBuffer)`
Get a new buffer to be filled.
Methods in org.xnio.streams with parameters of type Pooled
Modifier and Type
Method
Description
`void`
BufferPipeOutputStream.BufferWriter.`accept(Pooled<ByteBuffer> pooledBuffer, boolean eof)`
Accept a buffer.
`void`
BufferPipeInputStream.InputHandler.`acknowledge(Pooled<ByteBuffer> pooled)`
Acknowledges the successful processing of an input buffer.
`void`
BufferPipeInputStream.`push(Pooled<ByteBuffer> pooledBuffer)`
Push a buffer into the queue.